html,
body,
div,
span,
h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
img,
ol,
ul,
li,
form,
label,
article,
details,
figure,
figcaption,
footer,
header,
menu,
nav,
section {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
details,
figcaption,
figure,
footer,
header,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}

:root {
  --main-bg-color: #111;
  --secondary-bg-color: #161616;

  --main-text-color: #013f33;
  --secondary-text-color: #626b6b;

  --callToAction-color: #ff8c41;
  --callToAction-color-darker: #8e4617;
}

main {
  background-color: var(--main-bg-color);
  width: 100vw;
  min-height: 100vh;
  color: var(--main-text-color);
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Roboto", sans-serif;
}

main .loginForm {
  background-color: var(--secondary-bg-color);
  padding: 60px 30px 30px 30px;
  display: flex;
  justify-content: space-between;
  flex-flow: column;
  width: 310px;
  box-sizing: border-box;
  align-items: center;
  border-radius: 15px;
  border: 1px solid black;
  transform-origin: 10px 10px;
  animation: drop 0.5s ease-out, swing 1s;
}

main .loginForm .logo {
  width: 60px;
  height: 60px;
  color: var(--main-text-color);
}

main .loginForm h1 {
  font-size: 2.2rem;
  font-weight: 700;
  margin: 20px 0;
}

main .loginForm .inputArea {
  height: 2rem;
  margin: 10px 0;
  width: 100%;
  background-color: var(--main-bg-color);
  border: 1px solid black;
  border-radius: 5px;
  padding: 1px 10px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  transition: 400ms;
}

main .loginForm .inputArea input {
  outline: none;
  background-color: var(--main-bg-color);
  border: none;
  height: 100%;
  width: 90%;
  color: #fafafa;
  padding-left: 5px;
}

main .loginForm .inputArea:focus-within {
  border: 1px solid var(--main-text-color);
}

main .loginForm button {
  width: 100%;
  height: 2rem;
  border-radius: 5px;
  background-color: var(--callToAction-color);
  border: 1px solid black;
  cursor: pointer;
  font-size: 1.3rem;
  margin-top: 10px;
  transition: 400ms;
  outline: none;
}

main .loginForm button:hover {
  background-color: var(--callToAction-color-darker);
}

main .loginForm p {
  color: var(--secondary-text-color);
  font-size: 0.9rem;
  margin-top: 5px;
}

main .loginForm p span {
  color: var(--main-text-color);
  font-weight: 700;
  cursor: pointer;
}

@keyframes drop {
  0% {
    transform: translateY(-700px);
  }
  100% {
    transform: translateY(0);
  }
}

@keyframes swing {
  40% {
    transform: rotate(70deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
